Questo post è stato pubblicato 3247 giorni fa.
Le informazioni e i contenuti potrebbero quindi non essere aggiornati.

Share on FacebookShare on Google+Tweet about this on TwitterShare on RedditPrint this pageEmail this to someone

Dato che molte persone mi hanno scritto che hanno risconatrato dei problemi durante l’installazione e/o aggiornamento del .NET Compact Framework ho deciso di creare una guida che spiega come procedere passo passo. In questa guida mostrerò il metodo più semplice per installare l’ultima versione del Framework, la 3.5, sul proprio Pocket PC. Tutta l’operazione non richiede l’uso del PC e può essere eseguita direttamente dal PDA.

1. Pre-Requisiti

Come prima operazione dobbiamo procurarci i file necessari per installare il nuovo Framework sul nostro Pocket PC. Ho raccolto i file necessari in un archivio ZIP, basterà quindi scaricare l’archivio, estrarre i file e copiarli sul nostro dispositivo.

Download
.NET Compact Framework 3.5 (CAB)
Dimensione: 2,6 MiB

 

2. Controllo dell’attuale versione

Una volta che abbiamo i file sul nostro dispositivo avviamo il collegamento “.Net Checker“. Questo collegamento ci mostrerà la versione del Framework attualmente installata sul dispositivo. Se nel messaggio viene riportata una versione inferiore alla 3.5 allora possiamo continuare con l’installazione. Se viene mostrata la versione 3.5 allora abbiamo già l’ultima versione disponibile e quindi non è necessario aggiornare.

 

3. Avvio dell’installazione

Per avviare l’installazione tappiamo sul file “NET FrameWork v3.5.cab“. A questo punto sul display del nostro Pocket PC dovrebbe comparire una schermata, come quella che vedete qui accanto, in cui ci viene chiesto in che posizione vogliamo installare il programma. E’ possibile installare il Framework sia nella memoria interna che su una scheda esterna. Personalmente consigli di installarlo nella memoria interna, ma se volete installarlo sulla memoria esterna accertatevi almento di avere una scheda abbastanza veloce in modo da non rallentare il sistema.

 

4. Completamento dell’installazione

Dopo aver avviato l’installazione ed aver scelto il percorso, il programma d’installazione copierà tutti i file necessari dal cab al dispositivo. L’operazione può richiedere un po’ di tempo e varia da dispositivo a dispositivo. Quando l’installazione sarà completata vedrete apparire una schermata come questa qui accanto. Questa schermata ci mostra che è andato tutto a buon fine e che, se vogliamo, possiamo cancellare il file CAB dal nostro dispositivo per risparmiare un po’ di spazio.

 

5. Controllo della versione

Questo passo non è obbligatorio ai fini dell’installazione, ma ci perpette di controllare se la nuova versione del .NET Compact Framework è stata installata correttamente. Andiamo nella cartella in cui abbiamo copiato i file presenti nello ZIP ed avviamo lo stesso collegamento del punto 1 (“.Net Checker“). Se nel messaggio viene riportata la versione 3.5 vuol dire che l’installazione è avvenuta correttamente. Se invece il messaggio mostra la versione precedente vuol dire che il programma non è stato installato.

 

Share on FacebookShare on Google+Tweet about this on TwitterShare on RedditPrint this pageEmail this to someone

28 commenti

Partecipa anche tu alla discussione e lascia il tuo commento
Antonio
27 Set 2008 23:36

Non basta.
Bisogna fare una modifica al registro per far funzionare il 3.5!
Con questa procedura lo si installa soltanto, ma non funziona

MyLostBlog Team
27 Set 2008 23:40

Di che modifica parli? se lo installi con questa procedura le applicazioni che richiedono il .NET CF 3.5 funzionano senza problemi

Antonio
28 Set 2008 1:23

Con questa procedura il Netcf 3.5 non va a sostituire il precedente Se vai con un editor del registro in: HKey_Local_Machine – Software – Microsoft – .NETCompactFramework, Noterai dopo questa installazione, due voci:
2.0.7045.00 col valore 1
3.5.7283.00 col valore 0
A questo punto basta solo mettere la prima 0 e la seconda 1
Fatto!

maurizio
10 Mar 2009 13:47

ragazzi ma è possibile rimuovere la versione 2 dopo aver installato la 3.5 senza nessun problema?? mi sapete dire come si fa^^

vale46
09 Apr 2009 14:52

a me richiedeva di aggiornare il net framework per installare il buddyway su windows mobile5…stavo per reinstallare tutto win..poi per fortuna ho trovato questo sito.

riccardo
28 Lug 2009 13:01

Possiedo un TPRO2 e volevo sapere se per installare Addicts clean ram 1.6 devo installare net compact framework 3.5.Inoltre,leggendo i commenti volevo sapere prima di installare la versione 3.5 si può disinstallare la versione precedente visto che non sembra aggiornarla. Grazie

MyLostBlog Team
28 Lug 2009 15:20

Addicts clean ram non richiede .NET CF particolari quindi non c’è nessun problema..per l’aggiornamento puoi tranquillamente seguire questa guida senza nessun problema.

luigi
16 Dic 2009 17:17

ho scaricato il file la versione attuale di framework è la 2 quando cerco di installare la 3.5 mi da il seg. errore:
errore di installazione.
arrestare tutte le applicazioni e i processi, aumentare lo spazio di archiviazione disponibile, quindi rieseguire l’installazione. informazioni di supporto :2. premetto che non ho altre applicazioni attive e che la memoria libera e di237Mb x archivio
e 117.55 x programmi.

luigiTH
21 Dic 2009 14:10

Ho anch’io lo stesso problema di Luigi: quando eseguo il setup di Net CF 3.5 (oppure di 3.7) su ‘My Storage’ dove ho disponibili 7Gb (Giga) ottengo solo il messaggio d’errore “arrestare tutte le applicazioni e i processi, aumentare lo spazio di archiviazione disponibile, quindi rieseguire l’installazione. informazioni di supporto :4”! Quale sarà il problema? La versione corrente di Net CF è la 2.0…
Grazie

giò
22 Dic 2009 15:55

Ciao, ho installato il frame 3.5 seguendo la tua procedura. Tutto è andato a buon fine ma volevo sapere dove sono (e quali) i file necessari al funzionamento non avendo creato nessun percorso di installazione. Posso crare una nuova cartella e spostarli in essa? Grazie, giò.

MyLostBlog Team
22 Dic 2009 21:15

@ giò
purtroppo no.. il CAB sostituisce alcuni file presenti nella cartella Windows e devono rimanere li per funzionare correttamente

MyLostBlog Team
22 Dic 2009 21:16

@ luigi
devi liberare spazio nel dispositivo, non nella memoria esterna

giò
23 Dic 2009 10:28

grazie per la risposta, ciao e auguri

luigiTH
26 Dic 2009 13:11

Grazie, purtroppo ho un pim.vol molto grande (29Mb, ho molti contatti, lo uso per lavoro…) e quindi pesno che passerò a WM6.5 che ho visto liberar molto spazio…
Buone Feste
Luigi

luigi
04 Feb 2010 11:04

finalmente sono riuscito ad installare il NET CF3.5 ho dovuto però prima di tutto effettuareb un hard reset ed installare per primo il NET CF3.5 e poi tutti i software che avevo in precedenza

Carmine
07 Giu 2010 14:14

Salve,
ho installato l’aggiornamento, così come indicato, sul mio HTC Touch HD, ed ho anche aggiornato le chiavi di registro come suggerito da Antonio.
Successivamente ho installato il programma “HTC G-Sensor Config” (che mi richiedeva l’aggiornamento del Framework, ma quando lo lancio mi dice che c’è una chiave di registro non valida…
Qualcuno sa dirmi di cosa si tratta?

alessandro
01 Lug 2010 12:13

problemi su htc hd2.
non installo la 3.5 perchè già presente in rom
se vado sul registro ho 1 al posto giusto

lancio ad esempio anuvadak e mi chiede una versione .net più recente.
vado a vedere con con net checker e 2.0.7045.0 che nel registro però ha valore 0.
qualcuno ci capisce qualcosa?.. io no!!

Angelfo
14 Lug 2010 20:48

ragazzi a me il setup me lo apre con “Opera” che è il programma per andare su internet. come faccio?

MyLostBlog Team
19 Lug 2010 11:07

@Carmine
non ti dice che chiave sia? dove l’hai preso il CAB per l’installazione?

MyLostBlog Team
19 Lug 2010 11:08

@alessandro
la chiave di registro che indichi in realtà non serve a niente in quanto i programmi utilizzano un metodo diverso per controllare la versione attuale. probabilmente si sarà corrotta l’installazione. Prova a cancellare e installare nuovamente il Framework.

MyLostBlog Team
19 Lug 2010 11:09

@Angelfo
Ma da PC o PPC? strano perchè il PPC riconosce i CAB come installazione.

vitto
23 Nov 2010 20:30

ragazzi scusate.. io sono nuovo dei palmari.. sono un noob.. come si fa ad inerire le chiavi di registro negli htc p3700? grazie

Daniel
11 Gen 2011 2:33

FUNZIONAAAAAAAAAA non sai quanto ci ho messo a aggiornare quel maledetto framework.. grazie di cuore !

Giovanni
06 Feb 2011 13:09

Scusate, ma avendo poco spazio sul mio HTC ELF, volevo disistallare la .NET 2.0 e mettere la 3.5 oppure installarlo sulla memory card esterna. chi può aiutarmi? ve ne sarei grato.

carmine
02 Set 2011 18:24

scusa come faccio ad entrare in HKey_Local_Machine – Software – Microsoft – .NETCompactFramework, ho installao l’aggiornamento framework sul mio htc hd2 ma quando parte il programma anuvadak continua a uscire lo stesso errore

Gianluca
13 Feb 2012 19:24

Ciao a tutti, spero possa essere utile a chi non dovesse riuscire nell’intento di installare correttamente il file cab suggerito.
Per un’installazione semplice semplice potete cercare sul download center di MICROSOFT “.NET Compact Framework 3.5 Redistributable”
Questo comporta l’installazione tramite PC, ma non dovrebbe creare quei problemi di registro segnalati in precedenza.
Spero possa essere utile.

marco
15 Apr 2012 22:12

io volevo chiedere una cosa , istallando fw 3.5 su un pocket pc windos mobile si riesce a copiare i file gpx su cyclicompiuter 4.8 (itinerari gps muntain bike), la mia domanda è , quando avviero l’itinerario gpx con cycli compiuter 4.8 il gps si colleghera a internet,( pagando la connessione) . ps: uso il cycli 4.8 sul mio omnia senza connessione internet , e mi rileva , altitudine ,km, , cronometro ecc ecc. spero di essermi spiegato, un saluto marco

Dani
02 Ago 2012 1:56

Grazie mille. Molto utile. Funziona.

Lascia il tuo commento